%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d
%define uname	bladeRF

%define _udevrulesdir /lib/udev/rules.d

Name:		bladerf
Version:	2016.01
Release:	%mkrel 0.1
Summary:	A Software Defined Radio (SDR) platform
Group:		Communications
License:	GPLv2
URL:		http://nuand.com/
Source0:	%{uname}-%{version}.tar.xz
Source1:	https://github.com/Nuand/%{uname}/releases/download/2014.12-rc1/lib%{uname}-v1.1.0-doc.tar.bz2
Source2:	88-nuand.rules
BuildRequires:	cmake
BuildRequires:	%{_lib}usb1.0-devel

%description
%{uname} is a Software Defined Radio (SDR) platform designed to enable a
community of hobbyists, and professionals to explore and experiment with the
multidisciplinary facets of RF communication.

%package -n %{libname}
Summary:	Library files for %{uname}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%package -n %{devname}
Summary:	Development files for %{uname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{uname}-devel = %{version}-%{release}

%description -n %{devname}
Files needed to develop software against libbladerf.

%description -n %{libname}
bladerf library files.

%package doc
Summary:	HTML documentation for %{uname}
Group:		Documentation
BuildArch:	noarch

%description doc
HTML documentation for %{uname}

%prep
%setup -q -a 1 -n %{uname}-%{version}

%build
mkdir build
cd build
cmake ../host \
    -DCMAKE_INSTALL_PREFIX=%{_usr}

%install
rm -rf %buildroot
make -C build install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_udevrulesdir}
rm -f %{buildroot}%{_sysconfdir}/udev/rules.d/88-nuand.rules
install -m 0644 %SOURCE2 %{buildroot}%{_udevrulesdir}

#Documentation
mkdir -p %{buildroot}%{_docdir}/%{name}/html/
cp -r lib%{uname}-v1.1.0-doc/* %{buildroot}%{_docdir}/%{name}/html


%files
%doc CONTRIBUTORS README.md
%{_udevrulesdir}/88-nuand.rules
%{_bindir}/%{uname}-cli

%files -n %{libname}
%{_libdir}/lib%{uname}.so.%{major}*

%files -n %{devname}
%{_includedir}/lib%{uname}.h
%{_libdir}/pkgconfig/lib%{uname}.pc
%{_libdir}/lib%{uname}.so

%files doc
%{_docdir}/%{name}/html

%changelog
* Tue Nov 08 2016 adrianomorselli <adrianomorselli> 2016.01-0.1uplos2016
- rebuild

* Fri May 13 2016 bb <bb> 2016.01-0.1pclos2016
- rc1

* Thu Jan 07 2016 bb <bb> 2015.07-1pclos2016
- import from france for gnuradio stuff
